/*_____________________________________
 Police
 ____________________________________*/

@font-face {
    font-family: 'discoregular';
    src: url('../font/DISCO___-webfont.eot');
    src: url('../font/DISCO___-webfont.eot?#iefix') format('embedded-opentype'),
         url('../font/DISCO___-webfont.woff') format('woff'),
         url('../font/DISCO___-webfont.ttf') format('truetype'),
         url('../font/DISCO___-webfont.svg#discoregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

@import url('https://fonts.googleapis.com/css?family=Cantarell:400,700');

/*_____________________________________
  Paramètre généraux
 ____________________________________*/

body                   
{
  margin: 0; 
  font-family: 'Cantarell', Arial, sans-serif;
}

body, html             
{
  height: 100%; /* Initialise la taille de l'ensemble de la page */ 
}

/*_____________________________________
 Modification du style de la scrollbar
 ____________________________________*/
body::-webkit-scrollbar {
    width: 1em;
}
 
body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(104,104,104,.9);
}
 
body::-webkit-scrollbar-thumb {
  background-color: #333537;
  outline: 1px solid slategrey;
}

form > option::-webkit-scrollbar {
    width: 1em;
}

/*__________________
  Marges & padding
___________________*/

.padding-t-b-85
{
  padding: 85px 0 85px 0;
}

.margin-bottom-50
{
  margin-bottom: 50px;
}

/*__________________
  MENU navigation
___________________*/

#logo
{
  float: left;
  position: relative;
  top: 18px;
  right: 8px;
}

.menu-principal
{
  width: 100%;
  background-color: rgba(51,51,51,.95);
  overflow: hidden;
  z-index: 1; /* Le menu doit tjrs  être en avant plan */
  max-height: 77px; /* Max height ajoutée pour éviter un léger mouvement du bg menu due à la bordure bottom en hover*/
}

.menu-principal  ul        
{
  list-style: none;
}

.menu-principal ul  li  a      
{
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 18px 16px;
  text-decoration: none;
  font-size: 17px;
  text-decoration: none;
  text-transform: uppercase;
  transition: all .3s ease-in;
}

.menu-principal ul  li  a:hover   
{
  background-color: #eee;
  color: black;
  padding-bottom: 16px; /* Mise en place de la bordure juste sur le bord du bg menu */
  border-bottom: 2px solid #1ca1f2;
}

.menu-principal .icon
{
  display: none; /* Masquer le logo "hamburger" tant qu'on est sur un écran de bonne taille */
}

@media screen and (max-width: 740px) 
{
  /* Annulation du max-height pour laisser apparaitre le menu responsive */
  .menu-principal
  {
    max-height: none;
  }
  
  .menu-principal ul li a
  {
    display: none;
  }

  .icon 
  {
    float: right!important;
    display: block!important;
  }
}

/* la class responsive a été ajouté à l'aide de JS afin de créer le menu dit responsive */
@media screen and (max-width: 740px) {
  .menu-principal.responsive 
  {
    position: relative;
  }

  .menu-principal.responsive ul li a.icon 
  {
    position: absolute;
    right: 0;
    top: 0;
  }

  .menu-principal.responsive ul li a 
  {
    float: none;
    display: block;
    text-align: left;
  }

    /* Supression de la bordure au passage de la souris ainsi que le padding */
  .menu-principal.responsive ul li a:hover
  {
    border-bottom: none;
    padding-bottom: none;
  }

  #logo
  {
    display: none;
  }
}


/*___________________________________________
  Section 1 :  banniere & texte d'accroche
_____________________________________________*/

/* Background banniere avec effet parallax*/
.section-banniere            
{
  background-image: url(../images/bg-banner-4.jpg); 
  height: 65%; 
  background-attachment: fixed;
  background-position: bottom; 
  background-repeat: no-repeat; 
  background-size: cover; /* la propriété cover va parmètre de faire en sorte que l'image s'adapte en fonction de la taille de la fenetre */  
}

/* Texte d'accroche  et utilisation de flexbox =) */
.text-accroche
{
  height: 100%; /* Le bloc texte va occuper 100% de la hauteur de la banniere */ 
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center; /* Center verticalement par rapport au contenu */ 
  align-items: center;
  text-shadow: 2px 2px 5px #343434;
}

.text-accroche h2
{
    font-weight: 700;
    font-size: 50px;
    margin-bottom: 0;
    text-transform: uppercase;
}

.text-accroche h3
{
    font-weight: 400;
    font-size: 25px;
}

.button 
{
  border-radius: 4px;
  background-color: rgba(11,132,207,0);
  border: 2px solid #FFF;
  color: #FFFFFF;
  text-align: center;
  font-size: 18px;
  padding: 20px;
  transition: all 0.5s;
  cursor: pointer;
  margin: 5px;
}

.button:hover
{
  background-color: rgba(11,132,207,.9);
}

.button span 
{
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.button span:after 
{
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

.button:hover span 
{
  padding-right: 25px;
}

.button:hover span:after 
{
  opacity: 1;
  right: 0;
}

/*
 a #btn-banner
{
  background-color: rgba(29,161,242,.0);
  border: 2px solid white;
  border-radius: 3px;
  padding: 15px 10px;
  transition: .5s;
}

 a #btn-banner:hover
{
  background-color: rgba(29,161,242,1);
} */

.text-accroche a
{
  text-decoration:none;
  color: white;
  text-shadow: none;
}

/* Adaptation de la banniere pour les plus petits écrans : suppression de l'effet parallax*/
@media all and (max-width: 1024px) 
{
  .section-banniere
  {
    background-attachment: scroll;
    height: 50%;
  }
}

@media all and (max-width: 1030px) 
{
  .text-accroche h2
  {
    font-size: 30px;
    margin-bottom: 5%;
  }

  .text-accroche h3
  {
    display: none;
  }
}

/*____________________________________________
  Bouton retour top page
_____________________________________________*/

#top-btn {
    display: none; 
    position: fixed;
    bottom: 20px; 
    right: 30px; 
    z-index: 99; 
    border: none; 
    outline: none; 
    background-color: #1ca1f2;
    transition: .5s;
    cursor: pointer; 
    padding: 0px 15px 0px 15px; 
    border-radius: 10px; 
    box-shadow: 2px 3px 5px rgba(0,0,0,.4);
}

#top-btn:hover 
{
    background-color: #0c87d3;
    box-shadow: none;
}

/* Création d'une flèche vers le haut */
i 
{
    border: solid white;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
}

.up 
{
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}


/*____________________________________________
  Paramètre des blocs titre
_____________________________________________*/

.titre-bloc
{
  background-color: #f2f2f2;
  height: 13%;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: inset 0 0 7px rgba(0, 0, 0, 0.07); /* Petite bordure d'ombre sous la box titre */
}

.titre-bloc h2
{
    font-weight: 700;
    color: #686868;
    font-size: 24px;
}

/*____________________________________________
  Section 2 : description de l'appartemment
_____________________________________________*/

.section-description
{
  display: flex;
  width: 85%;
  margin: auto;
  background-color: white;
}

.img-description
{
  margin-right: 3%;
}

.img-description img
{
    border-radius: 10px/20px;
}

#btn-description
{
  background-color: rgba(29,161,242,.8);
  border-radius: 3px;
  padding: 15px 15px;
  transition: .5s;
  position: relative;
  top: 25px;
}

 a #btn-description:hover
{
  background-color: rgba(29,161,242,1);
}

.section-description a
{
  text-decoration:none;
  color: white;
  text-shadow: none;
}

/* Media querie du bloc Description */
@media only screen and (max-width: 870px) 
{
   .section-description 
  {
    flex-wrap: wrap; /* Permet un retour à la ligne quand plus de place*/
  }
}

/*__________________________________
  Section 3 : galerie images
__________________________________*/
.section-galerie
{
  background-image: url(../images/bg-gris.png);
  background-attachment: fixed;
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: cover; 
  color: white;
}

.section-galerie img
{
  cursor: pointer;
}

/* Paramètre de la galerie d'image */

.rangee > .colonne {
  padding: 0 8px;
}

.rangee 
{
  content: "";
  display: flex;
  flex-direction: row;
  justify-content: center; 
  clear: both;
}

.colonne 
{
  float: left;
  width: 20%;
} 

/* Fond d'écran de la modal */
.modal 
{
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(24,24,24,.85);
}

/* Paramètre du modal */
.modal-content 
{
  position: relative;
  background-color: #1ca1f2;
  margin: auto;
  padding: 0;
  width: 90%;
  max-width: 1200px;
}

/* Bouton de fermeture boite modal */
.close 
{
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus 
{
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

.mySlides 
{
  display: none;
}

/* Bouton next/suivant */
.prev,
.next 
{
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position du bouton next à droite */
.next 
{
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* Petite animation au passage de souris sur les boutons prev/next */
.prev:hover,
.next:hover 
{
  background-color: rgba(0, 0, 0, 0.8);
}

/* numérotage de chaque photo */
.numbertext 
{
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

img.hover-shadow 
{
  transition: 0.3s
}

.hover-shadow:hover 
{
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19)
}

/*__________________________________
  Section 4 : Les tarifs
__________________________________*/

.section-tarifs
{
  display:flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  background-image: url(../images/bg3.png);
}

/* 3 colonnes de taille équivalente */
.tableauPrix-colonne 
{    
    width: 33.3%;
    padding: 8px;
}

/* Suppression du style des puces */
.tableauPrix 
{
    list-style-type: none;
    border: 1px solid #ccc;
    margin: 0;
    padding: 0;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}

.tableauPrix:hover 
{
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.2)
}

/* titre principal */
.tableauPrix .tableauPrix-titre 
{
    color: white;
    font-size: 25px;
}

/* sujet tableau */
.tableauPrix li 
{
    border-bottom: 1px solid #eee;
    padding: 20px;
    text-align: center;
}

/* fond gris */
.tableauPrix .tableauPrix-sous-titre 
{
    background-color: #eee;
    font-size: 20px;
}

/* bouton d'enregistrmennt */
.tableauPrix .tableauPrix-bouton 
{
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 10px 25px;
    text-align: center;
    text-decoration: none;
    font-size: 18px;
}
/* Code couleur changeant */
.bg-color-bleu  { background-color: #1da1f2!important; }
.bg-color-vert  { background-color: #389a99!important; }
.bg-color-grisfonce  { background-color: #a7a7a7!important; color: white!important;}

@media only screen and (max-width: 600px) 
{
    .tableauPrix-colonne 
    {
        display: 100%;
    }
}

/*__________________________________
  Section 5 : Contact
__________________________________*/

.section-contact
{
  width: 100%;
  background-image: url(../images/bg-white.jpg);
  background-attachment: fixed;
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: cover;
}

/* Adaptation de la banniere pour les plus petits écrans : suppression de l'effet parallax*/
@media all and (max-width: 1024px) 
{
  .section-banniere
  {
    background-attachment: scroll;
  }
}

input, select, textarea 
{
    background-color: #fafafa;
    width: 100%; 
    padding: 12px; 
    border: 1px solid #ccc; 
    border-radius: 4px; 
    box-sizing: border-box; 
    margin-top: 6px; 
    margin-bottom: 16px; 
    resize: vertical; /* L'utilisateur peut augmenter la taille vertical (pas en horizontal) */
}

input[type=submit] 
{
    font-size: 18px;
    text-align: center;
    cursor: pointer;
    outline: none;
    color: #fff;
    background-color: #20a1f2;
    border: none;
    box-shadow: 0 5px #096caa;
}

input[type=submit]:hover 
{
    background-color: #0d8fe0;
}

input[type=submit]:active
{
  background-color: #0d8fe0;
  box-shadow: 0 2px #0b83ce;
  transform: translateY(4px);
}

.formulaire 
{
    border-radius: 5px;
    border: 1px solid #f0f0f0;
    background-color: #fff;
    box-shadow: 2px 3px 5px #cfcfcf;
    padding: 20px;
    width: 50%;
    margin: auto;
}

/*__________________________________
  Section 6 : Footer
__________________________________*/

footer
{
  width: 100%;
  background-color: #3c3c3c;
  color: #fff;
  padding: 85px 0;
  display: flex;
  flex-direction: row;
  justify-content: space-around; 
  align-items: center;
  flex-wrap: wrap;
  border-top: 4px solid #1da1f2;
}

.footer-colonne a
{
  color: white;
  text-decoration: none;
  transition: .5s;
}

.footer-colonne a:hover
{
  text-decoration: underline;
  color: #1da1f2;
}


